<!doctype html>
<html xmlns:th="http://www.thymeleaf.org" lang="es">
  	<head>
    	<!-- Required meta tags -->
    	<meta charset="utf-8">
    	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    	<!-- Bootstrap CSS -->
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" 
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" 
		integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">

		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.7.0/animate.min.css">
		
		<link rel="stylesheet" href="/css/login.css">
		
		<title>Bookstore</title>
  	</head>

	<body class="bg-light">

		

		<div class="container-fluid">
			
			<div class="row p-5 fullcontent justify-content-center">
				<div class="col-md-8 align-self-center">
                    
                    <div class="formbox px-4 pb-3 animated fadeIn delay-1s">

                        <div class="row justify-content-center">
                            <div class="col-6">
                                <img src="/img/logo-bookstore.png" class="img-fluid" alt="logotipo">
                            </div>                        
                            
                            <div class="col-12">                                                    
                                <form id="form" method="post" th:object="${userForm}" th:action="@{/auth/registration}">							
                                    
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="form-group">
                                                <label for="email">Correo electrónico</label>
                                                <input type="email" th:field="*{email}" class="form-control asd" id="email" placeholder="Ingrese el correo electrónico">
                                            </div>
                                        </div>
                                        
                                        <div class="col-12">
                                            <div class="form-group">
                                                <label for="password">Contraseña</label>
                                                <input type="password" th:field="*{password}" class="form-control asd" id="password" placeholder="Ingrese la contraseña">
                                            </div>
                                        </div>                            
                                            
                                        <div class="col-12 pt-3 pb-2">
                                            <hr>
                                            <h5>Datos personales</h5>
                                            <hr>
                                        </div>
                                        
                                        <div class="col-6">
                                            <div class="form-group">
                                                <label for="name">Nombre</label>
                                                <input type="text" th:field="*{name}" class="form-control asd" id="name" placeholder="Ingrese el nombre">
                                            </div>
                                        </div>
                                        
                                        <div class="col-6">
                                            <div class="form-group">
                                                <label for="surname">Apellidos</label>
                                                <input type="text" th:field="*{surname}" class="form-control asd" id="surname" placeholder="Ingrese los apellidos">
                                            </div>
                                        </div>

                                        <div class="col-8">
                                            <div class="form-group">
                                                <label for="address">Dirección</label>
                                                <input type="text" th:field="*{address}" class="form-control asd" id="address" placeholder="Ingrese la dirección">
                                            </div>
                                        </div>

                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="postal">Código postal</label>
                                                <input type="text" th:field="*{postoode}" class="form-control asd" id="postal" placeholder="Ingrese el código postal">
                                            </div>
                                        </div>

                                        <div class="col-6">
                                            <div class="form-group">
                                                <label for="department">Departamento</label>
                                                
                                                <select id="department" th:field="*{department}" class="form-control asd">
                                                    <option selected>-- Clic para seleccionar --</option>
                                                    <option>...</option>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-6">
                                            <div class="form-group">
                                                <label for="city">Ciudad</label>
                                                
                                                <select id="city" th:field="*{city}" class="form-control asd">
                                                    <option selected>-- Clic para seleccionar --</option>
                                                    <option>...</option>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-12 pt-3 pb-2">
                                            <hr>
                                            <h5>Tarjeta de crédito</h5>
                                            <hr>
                                        </div>


                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="tipeCard">Tipo de tarjeta</label>
                                                
                                                <select id="tipeCard" th:field="*{card.type}" class="form-control asd">
                                                    <option selected>-- Clic para seleccionar --</option>
                                                    <option>Visa</option>
                                                    <option>MasterCard</option>
                                                    <option>American Express</option>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-8">
                                            <div class="form-group">
                                                <label for="numberCard">Número de tarjeta</label>
                                                <input type="text" th:field="*{card.number}" class="form-control asd" id="numberCard" placeholder="Ingrese el número de tarjeta">
                                            </div>
                                        </div>


                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="dateExpire">Fecha de expiración</label>
                                                <select id="dateExpire" th:field="*{expires_at}" class="form-control asd">
                                                    <option selected>-- Mes --</option>
                                                    <option>Enero</option>
                                                    <option>Febrero</option>
                                                    <option>Marzo</option>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="yearCard">Año</label>
                                                <input type="text" class="form-control asd" id="yearCard" placeholder="Año">
                                            </div>
                                        </div>

                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="ccv">Código de seguridad</label>
                                                <input type="text" th:field="*{card.cvv}" class="form-control asd" id="ccv" placeholder="CCV">
                                            </div>
                                        </div>


                                        <div class="col-12">
                                            <button type="button" class="btn btn-outline-light btn-md btn-block mb-5">Regístrarse</button>

                                            <hr>                                
                                            <label for="">¿Ya tienes cuenta?</label>                                    
                                            <a th:href="@{/auth/login}" class="btn btn-outline-secondary btn-md btn-block mb-3 mt-2">Iniciar sesión</a>
                                        </div>
                                    </div>                                    
                                    
                                </form>	
                            </div>
                        </div>
                        
					</div>
				</div>
			</div>

		</div>
		

				
		<!-- Optional JavaScript -->
		<!-- jQuery first, then Popper.js, then Bootstrap JS -->
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" 
		integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
		<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" 
		integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
	</body>
</html>